Package com.ads.api.beans.common

# Class Tag

java.lang.Object
com.ads.api.beans.common.Node
com.ads.api.beans.common.Tag

public class Tag extends Node

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.ads.api.beans.common.Node

  `Node.Depth, Node.InputDataType, Node.NodeType, Node.ReturnType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tag()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuditHistory`
  `getAuditHistory()`
  Returns the auditHistory.
  `String`
  `getDescription()`
  Returns the description.
  `int`
  `getId()`
  Returns the id value.
  `String`
  `getName()`
  Returns the name value.
  `List<String>`
  `getScopeObjectTypes()`
  `boolean`
  `isPublished()`
  Returns the published value.
  `void`
  `setAuditHistory(AuditHistory auditHistory)`
  Method sets the auditHistory details as specified.
  `void`
  `setDescription(String description)`
  Method sets the description.
  `void`
  `setId(int id)`
  Method sets the id value.
  `void`
  `setName(String name)`
  Method sets the name.
  `void`
  `setPublished(boolean published)`
  Method sets the published value.
  `void`
  `setScopeObjectTypes(List<String> scopeObjectTypes)`
  `String`
  `toString()`

  ### Methods inherited from class com.ads.api.beans.common.Node

  `addChildNode, getChildNodes, getEndPointType, getNodeId, getNodeType, getObjectTypeId, setChildNodes, setEndPointType, setNodeId, setNodeType, setObjectTypeId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Tag

    public Tag()

- ## Method Details

  - ### getId

    public int getId()
    Returns the id value.
    Returns:
      id int.

  - ### setId

    public void setId(int id)
    Method sets the id value.
    Parameters:
      `id` - int.

  - ### getName

    public String getName()
    Returns the name value.
    Returns:
      name String.

  - ### setName

    public void setName(String name)
    Method sets the name.
    Parameters:
      `name` - String.

  - ### getDescription

    public String getDescription()
    Returns the description.
    Returns:
      description String.

  - ### setDescription

    public void setDescription(String description)
    Method sets the description.
    Parameters:
      `description` - String

  - ### isPublished

    public boolean isPublished()
    Returns the published value.
    Returns:
      published boolean.

  - ### setPublished

    public void setPublished(boolean published)
    Method sets the published value.
    Parameters:
      `published` - boolean.

  - ### getScopeObjectTypes

    public List<String> getScopeObjectTypes()
    Returns:

  - ### setScopeObjectTypes

    public void setScopeObjectTypes(List<String> scopeObjectTypes)
    Parameters:
      `scopeObjectTypes` -

  - ### getAuditHistory

    public AuditHistory getAuditHistory()
    Returns the auditHistory.
    Returns:
      auditHistory AuditHistory

  - ### setAuditHistory

    public void setAuditHistory(AuditHistory auditHistory)
    Method sets the auditHistory details as specified.
    Parameters:
      `auditHistory` - AuditHistory.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`